# class Racc::StateTransitionTable

### Attributes

grammar[R]
states[R]

### Public Class Methods

generate(states) click to toggle source

    # File lib/racc/statetransitiontable.rb, line 34
    def StateTransitionTable.generate(states)
      StateTransitionTableGenerator.new(states).generate
    end

new(states) click to toggle source
Calls superclass method `BasicObject::new`

    # File lib/racc/statetransitiontable.rb, line 38
    def initialize(states)
      super()
      @states = states
      @grammar = states.grammar
      self.use_result_var = true
      self.debug_parser = true
    end

### Public Instance Methods

parser_class() click to toggle source

    # File lib/racc/statetransitiontable.rb, line 49
    def parser_class
      ParserClassGenerator.new(@states).generate
    end

token_value_table() click to toggle source

    # File lib/racc/statetransitiontable.rb, line 53
    def token_value_table
      h = {}
      token_table().each do |sym, i|
        h[sym.value] = i
      end
      h
    end